Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.contents.entities
Class Image

    java.lang.Object
      org.pdfclown.documents.contents.entities.Entity
          org.pdfclown.documents.contents.entities.Image

All Implemented Interfaces:
  IContentEntity

Direct Known Subclasses:
  JpegImage

    public abstract class Image

extends Entity

Abstract image object [PDF:1.6:4.8].

Version:
  0.1.1, 04/25/11
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`protected` | `Image(IInputStream stream)`

Method Summary
`static Image` | `get(File file)`
`static Image` | `get(IInputStream stream)`
`static Image` | `get(String path)`
`int` | `getBitsPerComponent()` Gets the number of bits per color component [PDF:1.6:4.8.2].
`int` | `getHeight()` Gets the height of the image in samples [PDF:1.6:4.8.2].
`protected IInputStream` | `getStream()` Gets the underlying stream.
`int` | `getWidth()` Gets the width of the image in samples [PDF:1.6:4.8.2].
`protected void` | `setBitsPerComponent(int value)` Sets the number of bits per color component [PDF:1.6:4.8.2].
`protected void` | `setHeight(int value)` Sets the height of the image in samples [PDF:1.6:4.8.2].
`protected void` | `setWidth(int value)` Sets the width of the image in samples [PDF:1.6:4.8.2].

Methods inherited from class org.pdfclown.documents.contents.entities.Entity
`toInlineObject, toXObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image

    protected Image(IInputStream stream)

Method Detail

### get

    public static Image get(String path)

### get

    public static Image get(File file)

### get

    public static Image get(IInputStream stream)

### getBitsPerComponent

    public int getBitsPerComponent()

  Gets the number of bits per color component [PDF:1.6:4.8.2].

### getHeight

    public int getHeight()

  Gets the height of the image in samples [PDF:1.6:4.8.2].

### getWidth

    public int getWidth()

  Gets the width of the image in samples [PDF:1.6:4.8.2].

### getStream

    protected IInputStream getStream()

  Gets the underlying stream.

### setBitsPerComponent

    protected void setBitsPerComponent(int value)

  Sets the number of bits per color component [PDF:1.6:4.8.2].

### setHeight

    protected void setHeight(int value)

  Sets the height of the image in samples [PDF:1.6:4.8.2].

### setWidth

    protected void setWidth(int value)

  Sets the width of the image in samples [PDF:1.6:4.8.2].

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.